* E Posta Adresiniz:
* Kodu Girin:

> 1 <
İleti Yazar
09.03.2018 17:30
86124    
kdrcn

[2] Girişimci

Online Durumu

1 ileti
topograf
adana

Arkadaşlar daire yada yay merkezine nokta atan lisp ihtiyacı hasıl oldu ben yazamıyıyorum yazmayı bilmiyorum bir arkadaşım yardımcı olabilirmi teşekkür ederim arkadaşlar.


Travaci (09.03.2018 18:00 GMT)

09.03.2018 17:46
86125    
Travaci

[70] Editör

Online Durumu

2086 ileti
Teknik Ressam
Konstantinopol

Kod:

(defun c:er (/ ss ad)
  (if (setq ad (vla-get-activedocument (vlax-get-acad-object))
            ss (ssget (list (cons 0 "ARC,CIRCLE"))))
    (progn
      (vla-startundomark ad)
      (repeat (setq n (sslength ss))
        (entmake (list (cons 0 "POINT")
          (cons 10 (cdr (assoc 10 (entget (ssname ss (setq n (1- n))))))))
        )
      )
      (vla-endundomark ad)
    )
  ) (princ)
)

09.03.2018 19:01
86126    
mttlp

[5] Uzman

Online Durumu

95 ileti
Teknik Ressam
ankara

Alıntı
Travaci :
Kod:

(defun c:er (/ ss ad)
  (if (setq ad (vla-get-activedocument (vlax-get-acad-object))
            ss (ssget (list (cons 0 "ARC,CIRCLE"))))
    (progn
      (vla-startundomark ad)
      (repeat (setq n (sslength ss))
        (entmake (list (cons 0 "POINT")
          (cons 10 (cdr (assoc 10 (entget (ssname ss (setq n (1- n))))))))
        )
      )
      (vla-endundomark ad)
    )
  ) (princ)
)





Elinize sağlık hocam yine döktürmüşsünüz

en sevdiğim komut copy

10.03.2018 13:46
86130    
alumina

[70] Editör

Online Durumu

613 ileti
Insaat Muhendisi
Istanbul

Alıntı
kdrcn :

Kod:

(defun c:pt (/ dc ns i) (vl-load-com)
  (if (setq dc (vla-get-activedocument (vlax-get-acad-object))
        ns (ssget '((0 . "arc,circle"))))
    (progn (vla-startundomark dc)
      (repeat (setq i (sslength ns))
        (entmake (list '(0 . "point") (assoc 10 (entget
          (ssname ns (setq i (1- i)))))))) (vla-endundomark dc)
    )
  ) (prin1)
)

10.03.2018 14:06
86131    
mttlp

[5] Uzman

Online Durumu

95 ileti
Teknik Ressam
ankara

Alıntı
alumina :
Alıntı
kdrcn :

Kod:

(defun c:pt (/ dc ns i) (vl-load-com)
  (if (setq dc (vla-get-activedocument (vlax-get-acad-object))
        ns (ssget '((0 . "arc,circle"))))
    (progn (vla-startundomark dc)
      (repeat (setq i (sslength ns))
        (entmake (list '(0 . "point") (assoc 10 (entget
          (ssname ns (setq i (1- i)))))))) (vla-endundomark dc)
    )
  ) (prin1)
)




Adem hocam çoşmuşsunuz yine tebrik ederim

en sevdiğim komut copy

> 1 <
Copyright © 2004-2018 | Tüm Hakları Saklıdır | 243 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam